OpenNMS API 1.2.9

## org.opennms.netmgt.scriptd.helper
Interface SnmpTrapHelper.VarBindFactory

All Known Implementing Classes:
  SnmpTrapHelper.SnmpCounter32Factory, SnmpTrapHelper.SnmpCounter64Factory, SnmpTrapHelper.SnmpGauge32Factory, SnmpTrapHelper.SnmpInt32Factory, SnmpTrapHelper.SnmpIPAddressFactory, SnmpTrapHelper.SnmpNullFactory, SnmpTrapHelper.SnmpObjectIdFactory, SnmpTrapHelper.SnmpOctetStringFactory, SnmpTrapHelper.SnmpOpaqueFactory, SnmpTrapHelper.SnmpTimeTicksFactory

Enclosing interface:
  SnmpTrapHelper

private static interface SnmpTrapHelper.VarBindFactory

Common interface for all variabe binding factories

Method Summary
`SnmpVarBind` `getVarBind(java.lang.String name, java.lang.String encoding, java.lang.String value)` Constructs a new SnmpVarBind with the specified name and value.

Method Detail

### getVarBind

    public SnmpVarBind getVarBind(java.lang.String name,
                                  java.lang.String encoding,
                                  java.lang.String value)
                           throws SnmpTrapHelperException

  Constructs a new SnmpVarBind with the specified name and value. The value is assumed to have been encoded with the specified encoding (i.e. XML_ENCODING_TEXT, or XML_ENCODING_BASE64).

  Parameters:
    `name` - The name (a.k.a. "id") of the variable binding to be created
    `encoding` - Describes the way in which the value content has been encoded (i.e. XML_ENCODING_TEXT, or XML_ENCODING_BASE64)
    `value` - The variable binding value
  Returns:
    The newly-created variable binding
  Throws:
    `Throws` - SnmpTrapHelperException if the variable binding cannot be created for any reason (e.g. encoding not supported, invalid value, etc.).
    `SnmpTrapHelperException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.